package ants;

import ants.controller.Controller;
import ants.game.Board;
import ants.game.BoardInterface;
import ants.gui.AntGui;

public class Main {
    
    public static void main(String[] args) {
        
        BoardInterface board = new Board(30, 20);
        AntGui gui = new AntGui(board);
        
        Controller controller = new Controller(board, gui);
        gui.registerController(controller);
    }
    
}
