package ants.controller;

import ants.game.BoardInterface;
import ants.gui.AntGui;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Controller {
    
    protected static final int THREAD_COUNT = 5;
    protected static final int SLEEP_TIME = 10;
    
    protected BoardInterface board;
    protected AntGui gui;
    
    protected boolean running = false;
    
    public Controller(BoardInterface board, AntGui gui) {
        this.board = board;
        this.gui = gui;
        
        generateAnts();
        startThreads();
        
        guiThread();
    }
    
    public final void generateAnts() {
        for (int x = 0; x < board.getSizeX(); x++) {
            for (int y = 0; y < board.getSizeY(); y++) {
                if(Math.random() < 0.5){
                    board.setCount(x, y, 1);
                }else{
                    board.setCount(x, y, 0);
                }
            }
        }
    }
    
    private void startThreads(){
        // TODO
    }
    
    private void guiThread() {
        // TODO
    }
    
    private static void randomSleep() {
        try {
            Thread.sleep((long) (Math.random() * SLEEP_TIME));
        } catch (InterruptedException ex) {
            Logger.getLogger(Controller.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    
    private class ControllThread extends Thread{

        @Override
        public void run() {

            while (true) {
                // TODO 

                randomSleep();
            }
        }
        
    }

    
}
